diff -Naur fnord-1.10.orig/fnord-conf fnord-1.10/fnord-conf
--- fnord-1.10.orig/fnord-conf	2010-10-22 17:31:41.000000000 +0200
+++ fnord-1.10/fnord-conf	2010-10-22 19:57:28.000000000 +0200
@@ -17,7 +17,7 @@
 mkdir -p $dir
 echo "#!/bin/sh" > $dir/run
 echo "cd $webroot" >> $dir/run
-echo "exec envuidgid $acct tcpserver -RHl localhost ${myip:-0} 80 fnord 2>&1" >> $dir/run
+echo "exec envuidgid $acct tcpserver -RHl localhost ${myip:-0} 80 /usr/bin/fnord 2>&1" >> $dir/run
 chmod 755 $dir/run
 
 # tell old daemontools that it should spawn a log process, too
diff -Naur fnord-1.10.orig/httpd.c fnord-1.10/httpd.c
--- fnord-1.10.orig/httpd.c	2010-10-22 17:31:41.000000000 +0200
+++ fnord-1.10/httpd.c	2010-10-22 19:57:28.000000000 +0200
@@ -25,7 +25,9 @@
 #include "scan.h"
 
 /* uncomment the following line to enable support for CGI */
-// #define CGI
+#ifndef CGI
+# define CGI
+#endif
 
 #ifdef CGI
 /* uncomment the following line to enable support for "index.cgi"
@@ -39,7 +41,9 @@
 
 /* uncomment the following line to enable support for autogenerated
  * directory-listings for directories without index */
-/* #define DIR_LIST */
+#ifndef DIR_LIST
+# define DIR_LIST
+#endif
 
 #ifdef DIR_LIST
 /* uncomment the following line to enable support for system symlink
diff -Naur fnord-1.10.orig/Makefile fnord-1.10/Makefile
--- fnord-1.10.orig/Makefile	2010-10-22 17:31:41.000000000 +0200
+++ fnord-1.10/Makefile	2010-10-22 19:58:56.000000000 +0200
@@ -1,28 +1,19 @@
-CC=gcc
-CXX=g++
-
-#LIBOWFAT=../libowfat/
-DIET=diet -Os
-
-CFLAGS=-Os -fomit-frame-pointer
-#CFLAGS=-g
+CC:=gcc
+CXX:=g++
 
 all: fnord fnord-cgi fnord-idx
 
 fnord: httpd
 	cp -p $^ $@
-	-strip -R .note -R .comment $@
 
 httpd: httpd.o libowfat.a
-	$(DIET) $(CC) -o $@ $^ $(CFLAGS)
+	$(DIET) $(CC) $(LDFLAGS) -o $@ $^ $(CFLAGS)
 
 fnord-cgi: httpd-cgi.o libowfat.a
-	$(DIET) $(CC) -o $@ $^ $(CFLAGS)
-	-strip -R .note -R .comment $@
+	$(DIET) $(CC) $(LDFLAGS) -o $@ $^ $(CFLAGS)
 
 fnord-idx: httpd-idx.o libowfat.a
-	$(DIET) $(CC) -o $@ $^ $(CFLAGS)
-	-strip -R .note -R .comment $@
+	$(DIET) $(CC) $(LDFLAGS) -o $@ $^ $(CFLAGS)
 
 libowfat.a: httpd.o buffer_1.o buffer_puts.o buffer_flush.o buffer_put.o \
 buffer_putulong.o buffer_2.o buffer_putspace.o buffer_stubborn.o \
@@ -32,19 +23,19 @@
 	-ranlib $@
 
 httpd.o: httpd.c
-	$(DIET) $(CC) -pipe $(CFLAGS) -c $^ -DFNORD=\"fnord/$(shell head -n 1 CHANGES|sed 's/://')\"
+	$(DIET) $(CC) $(CFLAGS) -c $^ -DFNORD=\"fnord/$(shell head -n 1 CHANGES|sed 's/://')\"
 
 httpd-cgi.o: httpd.c
-	$(DIET) $(CC) -pipe $(CFLAGS) -c httpd.c -o $@ -DCGI -DFNORD=\"fnord/$(shell head -n 1 CHANGES|sed 's/://')\"
+	$(DIET) $(CC) $(CFLAGS) -c httpd.c -o $@ -DCGI -DFNORD=\"fnord/$(shell head -n 1 CHANGES|sed 's/://')\"
 
 httpd-idx.o: httpd.c
-	$(DIET) $(CC) -pipe $(CFLAGS) -c httpd.c -o $@ -DDIR_LIST -DFNORD=\"fnord/$(shell head -n 1 CHANGES|sed 's/://')\"
+	$(DIET) $(CC) $(CFLAGS) -c httpd.c -o $@ -DDIR_LIST -DFNORD=\"fnord/$(shell head -n 1 CHANGES|sed 's/://')\"
 
 %.o: %.c
-	$(DIET) $(CC) -pipe $(CFLAGS) -c $^
+	$(DIET) $(CC) $(CFLAGS) -c $^
 
 %.o: %.cpp
-	$(DIET) $(CXX) -pipe $(CFLAGS) -c $^
+	$(DIET) $(CXX) $(CFLAGS) -c $^
 
 .PHONY: rename clean install server
 server: fnord
